# $Revision: 1.13 $, $Date: 2006/05/21 21:51:13 $
Summary:	Power ACPI Event Daemon
Summary(pl):	Demon zdarze ACPI
Name:		poweracpid
Version:	0.2
Release:	3
License:	GPL v2
Group:		Daemons
Source0:	http://dl.sourceforge.net/poweracpid/%{name}-%{version}.tar.bz2
# Source0-md5:	abb2962b7781ba5d92b2e9fa6d969ed2
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://sourceforge.net/projects/poweracpid/
BuildRequires:	automake
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
Provides:	acpid
Obsoletes:	acpid
Obsoletes:	apmd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Power acpid is an ACPI (Advanced Configuration and Power Interface)
daemon designed to be more functional and improve on the design of the
current acpid. Power acpid is very loosely based on work from
<http://acpid.sourceforge.net/>.

%description -l pl
Power acpid to demon ACPI (Advanced Configuration and Power Interface,
czyli zaawansowanego interfejsu do konfiguracji i zarzdzania energi)
zaprojektowany tak, aby by bardziej funkcjonalny i bardziej doskonay
ni aktualny acpid. Power acpid jest bardzo luno oparty na pracach z
<http://acpid.sourceforge.net/>.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.* .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add %{name}
%service %{name} restart "PowerACPI daemon"

%preun
if [ "$1" = "0" ]; then
	%service %{name} stop
	/sbin/chkconfig --del %{name}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%attr(755,root,root) %{_bindir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: poweracpid.spec,v $
Revision 1.13  2006/05/21 21:51:13  glen
- rel 3

Revision 1.12  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.11  2005/09/01 10:51:20  darekr
- 640 perms for /etc/sysconfig/poweracpid
- kill empty README from %doc

Revision 1.10  2005/05/01 18:02:05  glen
- %description url unification
  find -name '*.spec' | xargs -l1024 sed -i -e 's#\(http://.\+/\) \.#<\1>.#g'

Revision 1.9  2004/03/13 23:29:43  qboosh
- release 2

Revision 1.8  2004/03/13 23:19:01  qboosh
- refresh config.sub

Revision 1.7  2004/03/13 21:04:16  blues
- release 1

Revision 1.6  2004/02/29 18:45:58  blues
- rel. 0.2 - fixed init script

Revision 1.5  2004/02/28 13:16:35  ankry
- removed duplicated pl translation

Revision 1.4  2004/02/28 13:15:07  ankry
- pl

Revision 1.3  2004/02/28 12:10:21  qboosh
- pl

Revision 1.2  2004/02/27 22:27:55  blues
- typo

Revision 1.1  2004/02/27 22:25:08  blues
- acpid replacement - not tested yet
